libglom-1.20 1.20.8

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Glom::LayoutItem_Header Class Reference
Inheritance diagram for Glom::LayoutItem_Header:
[legend]
Collaboration diagram for Glom::LayoutItem_Header:
[legend]

List of all members.

## Public Member Functions
| LayoutItem_Header ()
| LayoutItem_Header (const LayoutItem_Header& src)
LayoutItem_Header& | operator= (const LayoutItem_Header& src)
virtual | ~LayoutItem_Header ()
virtual LayoutItem* | clone () const
| Create a new copied instance.
virtual Glib::ustring | get_part_type_name () const
virtual Glib::ustring | get_report_part_id () const
| Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).

## Constructor & Destructor Documentation

Glom::LayoutItem_Header::LayoutItem_Header | ( |  | ) |

Glom::LayoutItem_Header::LayoutItem_Header | ( | const LayoutItem_Header& | src | ) |

virtual Glom::LayoutItem_Header::~LayoutItem_Header | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual LayoutItem* Glom::LayoutItem_Header::clone | ( |  | ) | const`[virtual]`

Create a new copied instance.

This allows us to deep-copy a list of LayoutItems.

Reimplemented from Glom::LayoutGroup.

virtual Glib::ustring Glom::LayoutItem_Header::get_part_type_name | ( |  | ) | const`[virtual]`

Reimplemented from Glom::LayoutGroup.

virtual Glib::ustring Glom::LayoutItem_Header::get_report_part_id | ( |  | ) | const`[virtual]`

Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).

Reimplemented from Glom::LayoutGroup.

LayoutItem_Header& Glom::LayoutItem_Header::operator= | ( | const LayoutItem_Header& | src | ) |

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/report_parts/layoutitem_header.h